# Generated by Django 5.1.7 on 2025-03-24 15:35

import tinymce.models
from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="EmailConfiguration",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "activated",
                    models.BooleanField(
                        default=False,
                        help_text="Make sure to test the email in the button above before ticking this. When activated, notifications are going to be sent by email and it will be possible for users to redefine their.passwords",
                        verbose_name="Email está ativado?",
                    ),
                ),
                (
                    "host",
                    models.CharField(
                        default="smtp.gmail.com", max_length=128, verbose_name="Host"
                    ),
                ),
                ("port", models.PositiveIntegerField(default=587, verbose_name="Port")),
                (
                    "username",
                    models.CharField(
                        default="example@gmail.com", max_length=128, verbose_name="User"
                    ),
                ),
                (
                    "password",
                    models.CharField(
                        default="1234", max_length=128, verbose_name="Password"
                    ),
                ),
                ("use_tls", models.BooleanField(default=True, verbose_name="Use TLS")),
                ("use_ssl", models.BooleanField(default=False, verbose_name="Use SSL")),
                (
                    "timeout",
                    models.IntegerField(
                        blank=True, default=120, null=True, verbose_name="Timeout"
                    ),
                ),
                (
                    "from_name",
                    models.CharField(
                        blank=True,
                        max_length=255,
                        null=True,
                        verbose_name="Sender name",
                    ),
                ),
                (
                    "from_email",
                    models.EmailField(
                        default="admin@example.com",
                        max_length=254,
                        verbose_name="Sender email",
                    ),
                ),
                (
                    "signature",
                    tinymce.models.HTMLField(
                        blank=True,
                        help_text="To use this signature in email, use the variable <code>{{ signature }}</code>.",
                        null=True,
                        verbose_name="Email signature",
                    ),
                ),
            ],
            options={
                "verbose_name": "Email configuration",
                "abstract": False,
            },
        ),
    ]
